<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package vastnews
 */

get_header();
?>
<div id="content" class="site-content clearfix">
	<div class="theme-wrapper">
		 <div class="content-wrap-bg">
			<main id="primary" class="site-main">

				<?php if ( have_posts() ) : ?>

					<header class="page-header">
						<h1 class="page-title">
							<?php
							/* translators: %s: search query. */
							printf( esc_html__( 'Search Results for: %s', 'vastnews' ), '<span>' . get_search_query() . '</span>' );
							?>
						</h1>
					</header><!-- .page-header -->
					<div class="site-wrapper">
					<?php
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

						/**
						 * Run the loop for the search to output the results.
						 * If you want to overload this in a child theme then include a file
						 * called content-search.php and that will be used instead.
						 */
						get_template_part( 'template-parts/content', 'search' );

					endwhile;
					?>
				  	</div>
					<?php
					
				else :

					get_template_part( 'template-parts/content', 'none' );

				endif;
				?>
				<?php the_posts_pagination(); ?>
			</main><!-- #main -->
			<?php get_sidebar();?>
           
		</div>
	</div><!-- #content wrap-->
</div><!-- #content -->

<?php
get_footer(); ?>

